{% extends "admin_base.html" %}


{% block content %}
      



    <div class="row">
      <div id="form">
        <div class="col-md-8">
          <h1 class="titles">Promos</h1>
          <h3 id="item_header"></h3>
          <table class="table display responsive" id="webstore_table"  cellspacing="0" width="100%">
            <thead>
              <tr>
                <th data-field="name" data-sortable="true"> 
                    Created
                     </th>
            <!--   <th data-field="name" data-sortable="true"> View </th> -->
                <th data-field="name" data-sortable="true"> 
                  Code  name </th>
                  <th data-field="name" data-sortable="true"> 
                    Discount
                     </th>

                       <th data-field="name" data-sortable="true"> 
                    Delete
                     </th>

                    
                  </tr>
                </thead>
                <tbody>
                  {% for p in promos %}
                      <tr>
                        <td>{{p.created}}</td>
                     
                        <td>{{p.code}}</td>
                         <td> {{p.discount_percent}} %</td>
                           <td> 
                              <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/promos/removals/{{p.key.id()}}">Delete promo</a>
                           </td>

               
                      </tr>
                  {% endfor %}

                </tbody>
                <tfoot>
                  <tr>
                  </tr>
                </tfoot>
              </table>
           

            </div>
            <div class="col-md-4">
              <h1 class="titles">Create new promo code</h1>

               <form method="POST">
                                <div class="form-group">
                                    Promo Code
                                    <input required  name="code"  type="text" class="form-control" id="">
                                     Discount percentage (e.g. insert 80 for 80% discount)
                                    <input required  name="discount"  type="number" class="form-control" id="">
                                </div>
                                <button style="width:100%; border: 2px solid #f4c535;" class="btn" type="submit" value="Submit">Create promo</button>
                </form>

            </div>

          </div>
        </div>


        

  {% endblock %}



